Bug 799595 - cups-polld stops working
cups-polld stops working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 05:05 EST by Pierre Ossman
Modified: 2012-04-11 23:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: cups-1.5.2-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 4031 None None None Never

  None (edit)
Description Pierre Ossman 2012-03-03 05:05:37 EST
Since my upgrade from F14 to F16, cups-polld starting getting very unreliable. Every time I try to use the printer it's supposed to poll for, I find it missing. Restarting cups fixes thing, but some time later the problem is back again.

I have this in cupsd.conf:

BrowsePoll 10.8.3.26


And this is what I get in error_log:

E [03/Mar/2012:10:59:06 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:10:59:36 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:00:06 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:00:36 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:01:06 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:01:36 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:02:06 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:02:36 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:03:06 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success
E [03/Mar/2012:11:03:36 +0100] [cups-polld 10.8.3.26:631] CUPS-Get-Printers failed: Success


tcpdump shows nothing, so it isn't even trying to poll the other server. This is what an strace of cups-polld gives:

write(2, "ERROR: [cups-polld 10.8.3.26:631"..., 68) = 68
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({30, 0}, 0x7fffbded5fa0)      = 0
write(2, "ERROR: [cups-polld 10.8.3.26:631"..., 68) = 68
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({30, 0}, 0x7fffbded5fa0)      = 0
write(2, "ERROR: [cups-polld 10.8.3.26:631"..., 68) = 68
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({30, 0}, 0x7fffbded5fa0)      = 0
write(2, "ERROR: [cups-polld 10.8.3.26:631"..., 68) = 68
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL, [], 0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({30, 0},


This is a laptop so it might be networks going up and down, or suspend, that's breaking it.
Comment 1 Tim Waugh 2012-03-05 08:17:47 EST
The fix for this has already been checked in.  When there is a test update you'll see a comment about it here.
Comment 2 Fedora Update System 2012-03-14 13:03:21 EDT
cups-1.5.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cups-1.5.2-6.fc17
Comment 3 Fedora Update System 2012-03-14 13:09:42 EDT
cups-1.5.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cups-1.5.2-6.fc16
Comment 4 Fedora Update System 2012-03-15 22:41:28 EDT
Package cups-1.5.2-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.2-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3811/cups-1.5.2-6.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-23 20:26:04 EDT
cups-1.5.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 23:39:07 EDT
cups-1.5.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.